Summary:	Maintains identical copies of files on multiple machines
Name:		rdist
Version:	6.1.5
Release:	%mkrel 23
License:	BSD
Group:		Networking/File transfer
URL:		http://www.MagniComp.com/rdist
Source:		ftp://ftp.sunet.se/pub/unix/admin/mirror-magnicomp/download/rdist/rdist-%{version}.tar.bz2
Patch0:		rdist-6.1.5-linux.patch
Patch1:		rdist-6.1.5-links.patch
Patch2:		rdist-6.1.5-oldpath.patch
Patch3:		rdist-6.1.5-environ.patch
Patch4:		rdist-6.1.5-build-os-type-linux-is-not-svr4.patch
# tmpfile security fix
Patch5:		rdist-6.1.5-tmpfile.patch
Patch6:		rdist-6.1.5-optflags.patch
Patch7:		rdist-6.1.5-bison.patch
Patch8:		rdist-6.1.5-varargs.patch
BuildRequires:	bison
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The rdist program maintains identical copies of files on multiple hosts. If
possible, rdist will preserve the owner, group, mode and mtime of files and it
can update programs that are executing.

%prep

%setup -q
%patch0 -p1 -b .linux
%patch1 -p0 -b .links
%patch2 -p1 -b .oldpath
%patch3 -p0 -b .environ
%patch4 -p1 -b .ostype
%patch5 -p1 -b .tmpfile
%patch6 -p1 -b .optflags
%patch7 -p1 -b .bison
%patch8 -p1 -b .varargs

%build
%make

%install
rm -fr %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/%{_mandir}/{man1,man8}

install -s -m755 src/rdist %{buildroot}%{_bindir}
install -s -m755 src/rdistd %{buildroot}/%{_sbindir}
ln -sf ../sbin/rdistd %{buildroot}%{_bindir}/rdistd

install -m644 doc/rdist.man %{buildroot}/%{_mandir}/man1/rdist.1
install -m644 doc/rdistd.man %{buildroot}/%{_mandir}/man8/rdist.8

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*




%changelog
* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 6.1.5-23mdv2008.1
+ Revision: 179423
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 6.1.5-22mdv2007.1
+ Revision: 145465
- Import rdist

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 6.1.5-22mdv2007.1
- use the %%mrel macro
- bunzip patches

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 6.1.5-21mdk
- Rebuild

